=== debian/changelog ===
ros-humble-tf2-ros (0.25.3-1jammy) jammy; urgency=high

  * Enable StaticTransformBroadcaster in Intra-process enabled components (backport #607 <https://github.com/ros2/geometry2/issues/607>) (#612 <https://github.com/ros2/geometry2/issues/612>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-tf2-ros (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-tf2-ros (0.25.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-humble-tf2-ros (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-tf2-ros (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.23.0-1jammy) jammy; urgency=high

  * use dedicated callback group and executor to isolate timer (#447 <https://github.com/ros2/geometry2/issues/447>)
  * Adding shared pointer definition to tf2 buffer (#508 <https://github.com/ros2/geometry2/issues/508>)
  * fix for a basic logic (#510 <https://github.com/ros2/geometry2/issues/510>)
  * Fix precision loss from using rclcpp::Time::seconds() (#511 <https://github.com/ros2/geometry2/issues/511>)
  * Contributors: Chen Lihui, Kenji Brameld, Steve Macenski, Zhenpeng Ge

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.22.0-1jammy) jammy; urgency=high

  * clear relative callback of Buffer if MessageFilter is destroyed (#490 <https://github.com/ros2/geometry2/issues/490>)
  * More info in tf2_echo output (#468 <https://github.com/ros2/geometry2/issues/468>)
  * Contributors: Chen Lihui, simulacrus

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-tf2-ros (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-tf2-ros (0.20.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#486 <https://github.com/ros2/geometry2/issues/486>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-tf2-ros (0.19.0-1jammy) jammy; urgency=high

  * More Intuitive CLI for Static Transform Publisher (#392 <https://github.com/ros2/geometry2/issues/392>)
  * Reduce transform listener nodes (#442 <https://github.com/ros2/geometry2/issues/442>)
  * tf2_ros: Fix deprecated subscriber callbacks (#448 <https://github.com/ros2/geometry2/issues/448>)
  * Contributors: Abrar Rahman Protyasha, Hunter L. Allen, gezp

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-humble-tf2-ros (0.18.0-1jammy) jammy; urgency=high

  * Fix tf2_echo does not work with ros-args (#407 <https://github.com/ros2/geometry2/issues/407>) (#408 <https://github.com/ros2/geometry2/issues/408>)
  * Contributors: PGotzmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-humble-tf2-ros (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-tf2-ros (0.17.0-1jammy) jammy; urgency=high

  * Guard against access to null node pointer (#393 <https://github.com/ros2/geometry2/issues/393>)
  * Allow to reconfigure durability for /tf topic broadcaster/listener (#383 <https://github.com/ros2/geometry2/issues/383>)
  * Fix the rcl type used in the time jump. (#391 <https://github.com/ros2/geometry2/issues/391>)
  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * fix accessing freed resources (#386 <https://github.com/ros2/geometry2/issues/386>)
  * Allow reconfiguring qos of tf and tf_static topics through parameters (#381 <https://github.com/ros2/geometry2/issues/381>)
  * Replace ROS_* logging macros and use RCLCPP_* instead (#380 <https://github.com/ros2/geometry2/issues/380>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Santiago Paunovic, Jacob Perron, Kazunari Tanaka

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-humble-tf2-ros (0.16.0-1jammy) jammy; urgency=high

  * Improve message filters error messages (#364 <https://github.com/ros2/geometry2/issues/364>)
  * Contributors: Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-tf2-ros (0.15.1-1jammy) jammy; urgency=high

  * Clarify the role of child_frame_id and header.frame_id in the documentation. (#345 <https://github.com/ros2/geometry2/issues/345>)
  * Contributors: Vikas Dhiman

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-tf2-ros (0.15.0-1jammy) jammy; urgency=high

  * Remove usage of deprecated rclcpp::Duration constructor (#340 <https://github.com/ros2/geometry2/issues/340>)
  * Remove messages_count member from tf2_ros::MessageFilter. (#335 <https://github.com/ros2/geometry2/issues/335>)
  * Style fixup in tf2_ros. (#325 <https://github.com/ros2/geometry2/issues/325>)
  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-tf2-ros (0.14.1-1jammy) jammy; urgency=high

  * Update goal response callback signature (#323 <https://github.com/ros2/geometry2/issues/323>)

